Subject: Re: Computer vs. Architecture Degree?

From: [email-masked] (JoeVance)
Date: 29 May 1995 19:26:39 -0400

Greg:

These days, a degree is pretty much mandatory to obtain a license anywhere
in the US.  There may be a state or two here or there that would still
allow you to become licensed via a work equivalent, (it used to be 7-8
years in Indiana), but those states are quickly changing to follow the
guidelines of the National Council of Architectural Registration Boards
(NCARB) requiring the degree.  You do not, however, have to obtain another
Bachelors.  You can simply enter into one of many Masters programs around
the country, 2-3 years.  Most states then require 3 years of work
experience after the professional degree, (or fulfillment of the
Internship Development Program, IDP, which takes the same 3 years), before
being qualified to take the exam.  The exam, on average, takes 2 years to
pass fully, although they now give it several times a year so you might
get through it in one year.  Look both here and in alt.architecture for
message strings about Graduate programs.

Joe Vance